#pragma once

#include "CoreMinimal.h"
#include "AkAudioType.h"
#include "WwiseInitBankCookedData.h"
#include "AkInitBank.generated.h"

UCLASS(Blueprintable)
class AKAUDIO_API UAkInitBank : public UAkAudioType
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FWwiseInitBankCookedData InitBankCookedData;

public:
	UAkInitBank();
};

FORCEINLINE uint32 GetTypeHash(const UAkInitBank) { return 0; }
